--- old/usr/src/cmd/make/bin/ar.cc	2015-05-20 11:51:04.859636952 -0400
+++ new/usr/src/cmd/make/bin/ar.cc	2015-05-20 11:51:04.871416303 -0400
@@ -39,7 +39,7 @@
 /*
  * Included files
  */
-#include <avo/avo_alloca.h>		/* alloca() */
+#include <alloca.h>		/* alloca() */
 #include <ar.h>
 #include <errno.h>		/* errno */
 #include <fcntl.h>		/* open() */
--- old/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:51:05.330314136 -0400
+++ new/usr/src/cmd/make/bin/doname.cc	2015-05-20 11:51:05.342930135 -0400
@@ -32,7 +32,7 @@
 /*
  * Included files
  */
-#include <avo/avo_alloca.h>		/* alloca() */
+#include <alloca.h>		/* alloca() */
 #if defined(TEAMWARE_MAKE_CMN)
 #include <avo/util.h>		/* avo_get_user(), avo_hostname() */
 #endif
--- old/usr/src/cmd/make/bin/read.cc	2015-05-20 11:51:06.014632165 -0400
+++ new/usr/src/cmd/make/bin/read.cc	2015-05-20 11:51:06.030457382 -0400
@@ -32,7 +32,7 @@
 /*
  * Included files
  */
-#include <avo/avo_alloca.h>		/* alloca() */
+#include <alloca.h>		/* alloca() */
 #include <errno.h>		/* errno */
 #include <fcntl.h>		/* fcntl() */
 #include <mk/defs.h>
--- old/usr/src/cmd/make/include/avo/avo_alloca.h	2015-05-20 11:51:06.579647562 -0400
+++ /dev/null	2015-05-20 11:51:06.000000000 -0400
@@ -1,43 +0,0 @@
-/*
- * CDDL HEADER START
- *
- * The contents of this file are subject to the terms of the
- * Common Development and Distribution License (the "License").
- * You may not use this file except in compliance with the License.
- *
- * You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
- * or http://www.opensolaris.org/os/licensing.
- * See the License for the specific language governing permissions
- * and limitations under the License.
- *
- * When distributing Covered Code, include this CDDL HEADER in each
- * file and include the License file at usr/src/OPENSOLARIS.LICENSE.
- * If applicable, add the following below this CDDL HEADER, with the
- * fields enclosed by brackets "[]" replaced with your own identifying
- * information: Portions Copyright [yyyy] [name of copyright owner]
- *
- * CDDL HEADER END
- */
-/*
- * Copyright 1998 Sun Microsystems, Inc. All rights reserved.
- * Use is subject to license terms.
- */
-
-#ifndef _AVO_ALLOCA_H
-#define _AVO_ALLOCA_H
-
-#include <alloca.h>
-
-#ifdef __SunOS_5_4
-// The following prototype declaration is necessary when compiling on Solaris
-// 2.4 using 5.0 compilers. On Solaris 2.4 the necessary prototypes are not
-// included in alloca.h. The 4.x compilers provide a workaround by declaring the
-// prototype as a pre-defined type. The 5.0 compilers do not implement this workaround.
-// This can be removed when support for 2.4 is dropped
-
-#include <stdlib.h> 	// for size_t
-extern "C" void *__builtin_alloca(size_t);
-
-#endif  // ifdef __SunOS_5_4
-
-#endif  // ifdef _AVO_ALLOCA_H
--- old/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 11:51:06.732908278 -0400
+++ new/usr/src/cmd/make/lib/mksh/dosys.cc	2015-05-20 11:51:06.744796857 -0400
@@ -34,7 +34,7 @@
  * Included files
  */
 #include <sys/wait.h>			/* WIFEXITED(status) */
-#include <avo/avo_alloca.h>		/* alloca() */
+#include <alloca.h>		/* alloca() */
 
 #if defined(TEAMWARE_MAKE_CMN) || defined(MAKETOOL) /* tolik */
 #	include <avo/strings.h>	/* AVO_STRDUP() */
